#!/perl
use XML::Parser;
use XML::SimpleObject;

my $file = 'C:/FG0981/FlightGear/data/keyboard.xml';

my $parser = XML::Parser->new(ErrorContext => 2, Style => "Tree");
my $xso = XML::SimpleObject->new( $parser->parsefile($file) );

foreach my $species ($xso->child('PropertyList')->children('key')) {
    print $species->child('name')->{VALUE};
    print ' (' . $species->attribute('name') . ') ';
    print $species->child('desc'); # ->attribute('status');
    print "\n";
}

